#!/bin/bash
if [ "$#" -eq "2" ]
  then
    flink run -d -n -s $2 -c com.carbonblack.eedr.EEdrPopularityFilter lib/dataingestionservice-1.215-SNAPSHOT.jar --config job-config/eedr-$1.yaml
else
    echo "Error! 2 arguements <environment name>, <savepoint or checkpoint path> are required. For example:"
    echo ""
    echo "  scripts/restartjob_eedr_popularity_filter.sh popularity-filter-prod s3://flink-checkpointing-prod/checkpoints/c3ee361b7e1e1468be7f03962d04c065/chk-2"
    echo ""
fi